Guard Pinaps:
The Enchanted Valley looks close on the map but is actually quite far. The entrances are located at the north and south, but the entrances are quite far from our town. Hunters who set up camps on the south eventually made their camps into a village...
Legend tells... Well, do you know about Fairies? Small Elf-like creatures with small wings on their backs... Anyway, in the past, they were exiled by Humans, and today they curse the Men living in the valley. That is why it is a dangerous place especially for Humans.
If you want to know more you should go ask at the Hunters' Village. They are experts about them!
Return